aboutsummaryrefslogtreecommitdiffstats
path: root/deliveries/src/main/scripts/localize_log4j.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deliveries/src/main/scripts/localize_log4j.sh')
-rwxr-xr-xdeliveries/src/main/scripts/localize_log4j.sh38
1 files changed, 19 insertions, 19 deletions
diff --git a/deliveries/src/main/scripts/localize_log4j.sh b/deliveries/src/main/scripts/localize_log4j.sh
index b3442c8f2..d2ab2bba4 100755
--- a/deliveries/src/main/scripts/localize_log4j.sh
+++ b/deliveries/src/main/scripts/localize_log4j.sh
@@ -1,19 +1,19 @@
-#!/bin/bash
-
-FINAL_CONFIG_FILE=/tmp/vid/stage/WEB-INF/conf/log4j.properties
-TEMPLATE_CONFIG_FILE=/tmp/vid/stage/WEB-INF/conf/log4j_template.properties
-
-echo "Localizing the VID log4j configuration"
-
-mkdir -p ${LOG4J_LOGS_DIRECTORY}
-
-sed -e 's/${LOG4J_LOGLEVEL}/'${LOG4J_LOGLEVEL}'/g' \
- -e 's/${LOG4J_APPENDER}/'${LOG4J_APPENDER}'/g' \
- -e 's,${LOG4J_LOGS_DIRECTORY},'${LOG4J_LOGS_DIRECTORY}',g' ${TEMPLATE_CONFIG_FILE} > ${FINAL_CONFIG_FILE} || {
- echo "ERROR: Could not process template file ${TEMPLATE_CONFIG_FILE} into ${FINAL_CONFIG_FILE}"
- exit 3
- }
-
-echo "Localized ${FINAL_CONFIG_FILE} successfully."
-
-
+#!/bin/bash
+
+FINAL_CONFIG_FILE=/tmp/vid/stage/WEB-INF/conf/log4j.properties
+TEMPLATE_CONFIG_FILE=/tmp/vid/stage/WEB-INF/conf/log4j_template.properties
+
+echo "Localizing the VID log4j configuration"
+
+mkdir -p ${LOG4J_LOGS_DIRECTORY}
+
+sed -e 's/${LOG4J_LOGLEVEL}/'${LOG4J_LOGLEVEL}'/g' \
+ -e 's/${LOG4J_APPENDER}/'${LOG4J_APPENDER}'/g' \
+ -e 's,${LOG4J_LOGS_DIRECTORY},'${LOG4J_LOGS_DIRECTORY}',g' ${TEMPLATE_CONFIG_FILE} > ${FINAL_CONFIG_FILE} || {
+ echo "ERROR: Could not process template file ${TEMPLATE_CONFIG_FILE} into ${FINAL_CONFIG_FILE}"
+ exit 3
+ }
+
+echo "Localized ${FINAL_CONFIG_FILE} successfully."
+
+